from django import forms
from django.conf import settings
from django.core.mail import send_mail

from .models import Feedback


class FeedbackForm(forms.ModelForm):

    class Meta:
        model = Feedback
        exclude = ['ip', 'agent']

    def __init__(self, *args, **kwargs):
        super(FeedbackForm, self).__init__(*args, **kwargs)
        self.fields['name'].widget.attrs.update({'class': 'uk-input', 'placeholder': 'Name'})
        self.fields['email'].widget.attrs.update({'class': 'uk-input', 'placeholder': 'E-mail'})
        self.fields['subject'].widget.attrs.update({'class': 'uk-input', 'placeholder': 'Subject'})
        self.fields['message'].widget.attrs.update({'class': 'uk-textarea', 'placeholder': 'Message'})

    def send_email(self):
        subject = "Gallery Feedback: " + self.cleaned_data['subject']
        from_email = self.cleaned_data['email']
        message = self.cleaned_data['message']
        send_mail(subject, message, from_email, [settings.EMAIL_TO])
