from django.contrib import messages
from django.shortcuts import redirect, render
from django.views.generic.base import View

from .forms import FeedbackForm
from .models import Feedback


class Contact(View):

    def post(self, request):
        form = FeedbackForm(request.POST or None)
        if form.is_valid():
            profile = form.save(commit=False)
            profile.save()
            form.send_email()
            messages.success(request, 'Your message was sent successfully! Thank you!')
            return redirect('gallery:main_url')
        else:
            messages.warning(request, 'Error occured while sending message.')
            return render(request, 'contact/main.html', {'form': form})

    def get(self, request):
        form = FeedbackForm()
        return render(request, 'contact/main.html', {'form': form})
